Bug 804349 - Missing systemd unit file
Missing systemd unit file
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: httpd-itk (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-17 21:18 EDT by Remi Collet
Modified: 2012-04-11 23:04 EDT (History)
1 user (show)

See Also:
Fixed In Version: httpd-itk-2.2.22-7.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-07 23:31:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2012-03-17 21:18:05 EDT
With systemd, the MPM choice is no more done in /etc/sysconfig/httpd

See https://bugzilla.redhat.com/771024

So you need to provide a systemd unit file
   /lib/systemd/system/httpd-itk.service

And adapt the README.fedora
Comment 1 Pavel Alexeev 2012-03-18 07:04:09 EDT
Good catch.
I already though about adding separate service file.
Comment 2 Pavel Alexeev 2012-03-18 12:53:57 EDT
Rawhide build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3906524
Please test.
Comment 3 Fedora Update System 2012-03-26 12:16:37 EDT
httpd-itk-2.2.22-7.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/httpd-itk-2.2.22-7.fc16
Comment 4 Fedora Update System 2012-03-26 12:24:19 EDT
httpd-itk-2.2.22-7.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/httpd-itk-2.2.22-7.fc17
Comment 5 Fedora Update System 2012-03-28 02:00:54 EDT
Package httpd-itk-2.2.22-7.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing httpd-itk-2.2.22-7.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4824/httpd-itk-2.2.22-7.fc17
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-04-07 23:31:27 EDT
httpd-itk-2.2.22-7.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-04-11 23:04:33 EDT
httpd-itk-2.2.22-7.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.